commit 34b791b30d336dd78db0ded8c9b9790fdfa8f3c9
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Sun Nov 16 15:23:56 2025 +0000

    fix build with perl-spf

diff --git a/src/scripts/lookups-Makefile b/src/scripts/lookups-Makefile
index 6555e820c..7aa186e2e 100755
--- a/src/scripts/lookups-Makefile
+++ b/src/scripts/lookups-Makefile
@@ -158,7 +158,7 @@ sed -n "1,/$tag_marker/p" < "$input"
 
 for name_mod in \
     CDB DBM:dbmdb DNSDB DSEARCH JSON LMDB LDAP LSEARCH MYSQL NIS NISPLUS \
-    NMH ORACLE PASSWD PGSQL PSL REDIS SQLITE SPF TESTDB WHOSON
+    NMH ORACLE PASSWD PGSQL PSL REDIS SQLITE SPF SPF_PERL:spf TESTDB WHOSON
 do
   emit_module_rule $name_mod
 done
diff --git a/src/src/miscmods/spf_perl.c b/src/src/miscmods/spf_perl.c
index 33871c9aa..3008facc8 100644
--- a/src/src/miscmods/spf_perl.c
+++ b/src/src/miscmods/spf_perl.c
@@ -127,7 +127,7 @@ spf_lib_version_report(gstring * g)
 {
 /*XXX Does Mail::SPF have a version? MetaCPAN says yes, but does not
 document a method that returns it. */
-return string_fmt_append(g, "Library_version: SPF: perl Mail::SPF\n");
+return string_cat(g, US"Library_version: SPF: perl Mail::SPF\n");
 }
 
 

